Index: code/branches/doc/src/OrxonoxConfig.h.in
===================================================================
--- code/branches/doc/src/OrxonoxConfig.h.in	(revision 7299)
+++ code/branches/doc/src/OrxonoxConfig.h.in	(revision 7300)
@@ -145,8 +145,5 @@
  * Options
  *-------------------------------*/
-/**
-@def ORXONOX_RELEASE
-    Enables expensive (build time) optimisations and disables certain features
-*/
+/// Enables expensive (build time) optimisations and disables certain features
 #cmakedefine ORXONOX_RELEASE
 
Index: code/branches/doc/src/SpecialConfig.h.in
===================================================================
--- code/branches/doc/src/SpecialConfig.h.in	(revision 7299)
+++ code/branches/doc/src/SpecialConfig.h.in	(revision 7300)
@@ -43,28 +43,14 @@
 #include <boost/preprocessor/stringize.hpp>
 
-/**
-@def CEGUILUA_USE_INTERNAL_LIBRARY
-    Set whether we must suffix "ceguilua/" for the CEGUILua.h include
-*/
+/// Set whether we must suffix "ceguilua/" for the CEGUILua.h include
 #cmakedefine CEGUILUA_USE_INTERNAL_LIBRARY
 
-/**
-@def DEPENDENCY_PACKAGE_ENABLE
-    Defined if a precompiled depdency package was used. We then copy all libraries
-    too when installing.
-*/
+/// Defined if a precompiled depdency package was used. We then copy all libraries too when installing.
 #cmakedefine DEPENDENCY_PACKAGE_ENABLE
 
-/**
-@def INSTALL_COPYABLE
-    Orxonox either gets installed to the system or just into a folder.
-    The latter uses relative paths.
-*/
+/// Orxonox either gets installed to the system or just into a folder. The latter uses relative paths.
 #cmakedefine INSTALL_COPYABLE
 
-/**
-@def CMAKE_CONFIGURATION_TYPES
-    Using MSVC or XCode IDE
-*/
+/// Using MSVC or XCode IDE
 #cmakedefine CMAKE_CONFIGURATION_TYPES
 
@@ -126,8 +112,5 @@
 } }
 
-/**
-@def ORXONOX_USE_WINMAIN
-    Use main() or WinMain()?
-*/
+/// Use main() or WinMain()?
 #cmakedefine ORXONOX_USE_WINMAIN
 
Index: code/branches/doc/src/libraries/core/Identifier.h
===================================================================
--- code/branches/doc/src/libraries/core/Identifier.h	(revision 7299)
+++ code/branches/doc/src/libraries/core/Identifier.h	(revision 7300)
@@ -303,6 +303,8 @@
     class ClassIdentifier : public Identifier
     {
+        #if true // doxygen workaround: doxygen ignores the following #include because of this #if, removes some warnings
         #define SUPER_INTRUSIVE_DECLARATION_INCLUDE
         #include "Super.h"
+        #endif
 
         public:
Index: code/branches/doc/src/libraries/core/MemoryArchive.cc
===================================================================
--- code/branches/doc/src/libraries/core/MemoryArchive.cc	(revision 7299)
+++ code/branches/doc/src/libraries/core/MemoryArchive.cc	(revision 7300)
@@ -54,5 +54,5 @@
     }
 
-    DataStreamPtr MemoryArchive::open(const String& filename) const
+    DataStreamPtr MemoryArchive::open(const Ogre::String& filename) const
     {
         const FileMap& files = archives_s[this->getName()];
@@ -64,6 +64,6 @@
     }
 
-    void MemoryArchive::findFiles(const String& pattern, bool bRecursive,
-        bool bDirs, StringVector* simpleList, FileInfoList* detailList)
+    void MemoryArchive::findFiles(const Ogre::String& pattern, bool bRecursive,
+        bool bDirs, Ogre::StringVector* simpleList, Ogre::FileInfoList* detailList)
     {
         const FileMap& files = archives_s[this->getName()];
@@ -110,5 +110,5 @@
     }
 
-    StringVectorPtr MemoryArchive::find(const String& pattern,
+    StringVectorPtr MemoryArchive::find(const Ogre::String& pattern,
                                             bool recursive, bool dirs)
     {
@@ -118,5 +118,5 @@
     }
 
-    FileInfoListPtr MemoryArchive::findFileInfo(const String& pattern,
+    FileInfoListPtr MemoryArchive::findFileInfo(const Ogre::String& pattern,
         bool recursive, bool dirs)
     {
@@ -126,5 +126,5 @@
     }
 
-    bool MemoryArchive::exists(const String& filename)
+    bool MemoryArchive::exists(const Ogre::String& filename)
     {
         const FileMap& files = archives_s[this->getName()];
Index: code/branches/doc/src/libraries/network/GamestateClient.cc
===================================================================
--- code/branches/doc/src/libraries/network/GamestateClient.cc	(revision 7299)
+++ code/branches/doc/src/libraries/network/GamestateClient.cc	(revision 7300)
@@ -105,6 +105,6 @@
   * @return iterator pointing to the next object in the list
   */
-  void GamestateClient::removeObject(ObjectList<Synchronisable>::iterator &it) {
-    ObjectList<Synchronisable>::iterator temp=it;
+  void GamestateClient::removeObject(ObjectListIterator<Synchronisable> &it) {
+    ObjectListIterator<Synchronisable> temp=it;
     ++it;
     temp->destroy(); // or delete?
Index: code/branches/doc/src/orxonox/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/doc/src/orxonox/collisionshapes/CollisionShape.cc	(revision 7299)
+++ code/branches/doc/src/orxonox/collisionshapes/CollisionShape.cc	(revision 7300)
@@ -150,5 +150,5 @@
     }
 
-    void CollisionShape::calculateLocalInertia(btScalar mass, btVector3& inertia) const
+    void CollisionShape::calculateLocalInertia(float mass, btVector3& inertia) const
     {
         if (this->collisionShape_)
Index: code/branches/doc/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/doc/src/orxonox/controllers/ArtificialController.cc	(revision 7299)
+++ code/branches/doc/src/orxonox/controllers/ArtificialController.cc	(revision 7300)
@@ -558,5 +558,5 @@
 
     /**
-        @brief Master sets its slaves free for @var FREEDOM_COUNT seconds.
+        @brief Master sets its slaves free for @ref FREEDOM_COUNT seconds.
     */
     void ArtificialController::forceFreeSlaves()
